```@meta
CurrentModule = ExplainableAI
```

# ExplainableAI.jl

Explainable AI methods in Julia.

!!! note
    This package is part of a wider [Julia XAI ecosystem](https://github.com/Julia-XAI).
    For an introduction to this ecosystem, please refer to the 
    [Getting started guide](https://julia-xai.github.io/XAIDocs/).

## Installation 
To install this package and its dependencies, open the Julia REPL and run 
```julia-repl
julia> ]add ExplainableAI
```

## Manual
```@contents
Pages = [
    "generated/example.md",
    "generated/heatmapping.md",
    "generated/augmentations.md",
]
Depth = 3
```

## API reference
```@contents
Pages = ["api.md"]
Depth = 2
```
